using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace spring16_sem2_winlistbox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Start
            listBox1.Items.Clear();
            for (int a = 0; a < 10; a++)
                listBox1.Items.Add("hello" + a.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Items.Add
            if (textBox1.Text != "")
                listBox1.Items.Add(textBox1.Text);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //Items.Insert
            try
            {
                listBox1.Items.Insert(Convert.ToInt16(textBox2.Text), textBox1.Text);
            }
            catch
            {
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //Items.Remove
            try
            {
                listBox1.Items.Remove(textBox1.Text);
            }
            catch
            {
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            //Items.RemoveAt
            try
            {
                listBox1.Items.RemoveAt(Convert.ToInt16(textBox2.Text));
            }
            catch
            {
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            //Items.Count
            textBox3.Text = listBox1.Items.Count.ToString();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            //Items.Clear
            listBox1.Items.Clear();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            //SelectedIndex
            try
            {
                listBox1.SelectedIndex = Convert.ToInt16(textBox4.Text);
                textBox2.Text = listBox1.SelectedIndex.ToString();
            }
            catch
            {
            }
        }

        private void button9_Click(object sender, EventArgs e)
        {
            //Selected.Item
            try
            {
                listBox1.SelectedIndex = Convert.ToInt16(textBox5.Text);
                textBox1.Text = listBox1.SelectedItem.ToString();
            }
            catch
            {
            }
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            //Select in the listbox
            try
            {
                textBox1.Text = listBox1.SelectedItem.ToString();
                textBox2.Text = listBox1.SelectedIndex.ToString();
            }
            catch
            {
            }
        }
    }
}